Bug 1729371 - Implement qpdf crypto features with external crypto library usage
Summary: Implement qpdf crypto features with external crypto library usage
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qpdf
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-12 06:09 UTC by Zdenek Dohnal
Modified: 2020-02-14 09:02 UTC (History)
3 users (show)

Fixed In Version: qpdf-9.1.1-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-14 09:02:24 UTC


Attachments (Terms of Use)

Description Zdenek Dohnal 2019-07-12 06:09:57 UTC
QPDF internally implements MD5, SH2, RC4 and AES for PDF crypto standards. Unfortunately internal implementation is against Fedora crypto policy, where all crypto should be provided by cryptographic packages, f.e. gnutls, openssl. So the crypto features were removed from QPDF for now.

This bug is a tracker of internal implementation -> gnutls implementation migration in QPDF.

Comment 1 Ben Cotton 2019-08-13 16:51:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:03:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Zdenek Dohnal 2019-09-18 13:04:45 UTC
Will be fixed with 9.0.0 rebase.

Comment 4 Zdenek Dohnal 2019-10-01 11:02:27 UTC
Pull request is here https://github.com/qpdf/qpdf/pull/357 , but upstream tests are passing so I'll add it to Fedora.

Comment 5 Zdenek Dohnal 2020-02-14 09:02:24 UTC
qpdf-9.1.1 implements crypto by external gnutls library, closing as NEXTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.